#include <curses.h>

#include "direction.h"

Direction check_direction (int input, int dir_mode)
{
	Direction direction = dir_none;

	/* If we are using VI arrows keys (hjkl) check them */
	if (dir_mode == VI_MODE)
	{
		switch (input)
		{
			case 'h':
			case 'H':
				direction = dir_left;
				break;
			case 'j':
			case 'J':
				direction = dir_down;
				break;
			case 'k':
			case 'K':
				direction = dir_up;
				break;
			case 'l':
			case 'L':
				direction = dir_right;
				break;
		} /* END switch (input) */
	} /* END if (dir_mode == VI_MODE) */

	else /* if (dir_mode == ARROW_MODE) */
	{
		switch (input)
		{
			case ESC:
				input = getch();
				if (input == ARROW_CTL)
				{
					switch (input = getch())
					{
						case LEFT_ARROW:
							direction = dir_left;
							break;
						case DOWN_ARROW:
							direction = dir_down;
							break;
						case UP_ARROW:
							direction = dir_up;
							break;
						case RIGHT_ARROW:
							direction = dir_right;
							break;
					} /* END switch (input = getch()) */
				} /* END if (input == ARROW_CTL) */
				break;
		} /* END switch (input) */
	} /* END else if (dir_mode == ARROW_MODE) */

	return (direction);
} /* END FUNC check_direction */
