#include <stdio.h>

/* Read one line from standard input, */
/* copying it to line array (but no more than max chars). */
/* Does not place terminating \n in line array. */
/* Returns line length, or 0 for empty line, or EOF for end-of-file. */
int getline(FILE *stream, char line[256], int max)
{
	int nch = 0;
	int c;
	max = max - 1;			/* leave room for '\0' */

	while ((c = fgetc (stream)) != EOF)
	{
		if (c == '\n')
			break;

		if (nch < max)
		{
			line[nch] = c;
			nch = nch + 1;
		} /* END if (nch < max) */
	} /* END while ((c = getchar()) != EOF) */

	if (c == EOF && nch == 0)
		return EOF;

	line[nch] = '\0';
	return nch;
}

/* Loads the quote array from a text file where each quote is seperated
 * by a newline character.
 * Returns the number of lines loaded or -1 if failed */
int loadquotes (char quotearray[256][256], int maxquotes, int maxcharperquote, 
								char *filename)
{
	int numofquotes = 0;
	FILE *stream;

	if ((stream = fopen (filename, "r")) == NULL)
	{
		return -1;
	}

	while (getline (stream, quotearray[numofquotes], maxcharperquote) != EOF 
				 && numofquotes < maxquotes)
		numofquotes++;

	fclose (stream);

	return numofquotes;
}

